OpenTTD Source: VehicleDefaultSettings Struct Reference

OpenTTD Source 15.3

Data Fields
VehicleDefaultSettings Struct Reference

Default settings for vehicles. More...

`#include <settings_type.h>`

## Data Fields
bool | servint_ispercent = false
| service intervals are in percents
uint16_t | servint_trains = 0
| service interval for trains
uint16_t | servint_roadveh = 0
| service interval for road vehicles
uint16_t | servint_aircraft = 0
| service interval for aircraft
uint16_t | servint_ships = 0
| service interval for ships

## Detailed Description

Default settings for vehicles.

Definition at line 601 of file settings_type.h.

## Field Documentation

## ◆ servint_aircraft

uint16_t VehicleDefaultSettings::servint_aircraft = 0

service interval for aircraft

Definition at line 605 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), VehicleDetailsWindow::IsVehicleServiceIntervalEnabled(), and UpdateAllServiceInterval().

## ◆ servint_ispercent

bool VehicleDefaultSettings::servint_ispercent = false

service intervals are in percents

Definition at line 602 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), ChangeTimekeepingUnits(), CmdChangeServiceInt(), GetDefaultServiceInterval(), and ServiceIntervalSettingsValueText().

## ◆ servint_roadveh

uint16_t VehicleDefaultSettings::servint_roadveh = 0

service interval for road vehicles

Definition at line 604 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), VehicleDetailsWindow::IsVehicleServiceIntervalEnabled(), and UpdateAllServiceInterval().

## ◆ servint_ships

uint16_t VehicleDefaultSettings::servint_ships = 0

service interval for ships

Definition at line 606 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), VehicleDetailsWindow::IsVehicleServiceIntervalEnabled(), and UpdateAllServiceInterval().

## ◆ servint_trains

uint16_t VehicleDefaultSettings::servint_trains = 0

service interval for trains

Definition at line 603 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), VehicleDetailsWindow::IsVehicleServiceIntervalEnabled(), and UpdateAllServiceInterval().

The documentation for this struct was generated from the following file:

- src/settings_type.h